curl --request GET \
--url https://api.hel.io/v1/transactions/signature/{signature} \
--header 'Authorization: Bearer <token>'[
{
"id": "67acdb5ee316ca7a58b7e7dc",
"paylinkId": "67acdb17e316ca7a58b7e586",
"fee": "10000",
"quantity": 1,
"createdAt": "2025-02-12T17:33:18.544Z",
"paymentType": "PAYLINK",
"paylink": {
"id": "67acdb17e316ca7a58b7e586",
"platform": "HELIO",
"description": "",
"template": "OTHER",
"disabled": false,
"inactive": false,
"notifySenderByEmail": false,
"notifyReceiverByEmail": false,
"addDiscordRole": false,
"addTelegramGroup": false,
"features": {
"canChangeQuantity": false,
"canChangePrice": false,
"requireQuantityLimits": false,
"requireCountry": false,
"requireEmail": false,
"requireDeliveryAddress": false,
"requireDiscordUsername": false,
"requireDiscordLogin": false,
"requireFullName": false,
"requirePhoneNumber": false,
"requireTwitterUsername": false,
"requireTelegramUsername": false,
"requireProductDetails": false,
"requireMaxTransactions": false,
"requireNftGate": false,
"requireDiscordAuth": false,
"requireAccessCode": false,
"requireXFollow": false,
"requireRaffle": false,
"splitRevenue": false,
"splitEqually": true,
"canSwapTokens": false,
"canPayWithCard": true,
"nftDropEnabled": false,
"showDiscountCode": false,
"isEscrowed": false,
"requireAllowlist": false,
"allowAffiliate": false,
"isEventEnabled": false,
"enableCountdown": false,
"requireCaptchaValidation": false,
"shouldRedirectOnSuccess": false,
"customThemeEnabled": false,
"isSubscription": false,
"hasRedirectQueryParams": false
},
"maxTransactions": 1,
"name": "Test Pay Link",
"nftCollectionAddress": "",
"discordAuthDetails": [],
"dynamic": false,
"affiliateDetails": {
"bps": 5000
},
"price": "1000000",
"normalizedPrice": "1000000",
"redirectUrl": "",
"redirectQueryParams": [],
"customTheme": {
"primaryColor": "#F76C1B",
"neutralColor": "#5A6578",
"themeMode": "LIGHT",
"textColorOnButton": "BLACK",
"backgroundColor": "#F9F9F9"
},
"content": {},
"creator": {
"id": "667c1f9352919e407156128a",
"userType": "MERCHANT",
"email": "merchant@test.com",
"name": "",
"isDisabled": false,
"kycVerified": false,
"platformDetails": {
"platform": "HELIO"
}
},
"company": {
"id": "667c1f9352919e407156128c",
"name": "Test Company",
"email": "company@test.com",
"websiteUrl": "",
"discordUsername": "",
"address": "",
"phoneNumber": "",
"escrowFunds": false,
"twitterConfirmed": false,
"kycVerified": false,
"kybVerified": false
},
"currency": {
"id": "6340313846e4f91b8abc519b",
"blockchain": null
},
"wallet": {
"id": "667c1f9352919e4071561294",
"name": "",
"btcProperties": null
},
"recipients": [
{
"currency": {
"id": "6340313846e4f91b8abc519b",
"blockchain": null
},
"wallet": {
"id": "667c1f9352919e4071561294",
"name": "",
"btcProperties": null,
"blockchainEngine": null
}
}
],
"volume": 0,
"sales": "0",
"product": null,
"discountCodes": [],
"discordRoleIds": [],
"telegramGroupIds": [],
"pricingCurrency": {
"id": "6340313846e4f91b8abc519b",
"name": "USD Coin",
"decimals": 6,
"order": 1,
"mintAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"coinMarketCapId": 3408,
"symbol": "USDC",
"symbolPrefix": "$",
"type": "DIGITAL",
"iconUrl": "USDC.svg",
"features": [
"PAYMENT_PRICING",
"PAYMENT_RECIPIENT",
"SWAP"
],
"blockchain": {
"id": "6340313846e4f91b8abc515c",
"engine": null
}
},
"createdAt": "2025-02-12T17:32:07.125Z"
},
"meta": {
"id": "67acdb5ee316ca7a58b7e7da",
"amount": "990000",
"senderPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"recipientPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"transactionType": "PAYLINK",
"customerDetails": {},
"productDetails": null,
"additionalProductDetails": [],
"transactionSignature": "3afE9Xnta9YpF4HLqT9i55Dh9byewgRmFsexgeGaP9NaTNvrJ5CZJij3onAMZXUUStPxEwi4Ce3pc6JeMMhNDKFj",
"transactionStatus": "SUCCESS",
"splitRevenue": false,
"remainingAccounts": [],
"totalAmount": "990000",
"totalAmountAsUSD": "990000",
"affiliateCode": "jwplgfvsvk",
"affiliateAmount": "0",
"affiliatePublicKey": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"tokenQuote": {
"from": "USDC",
"fromAmountDecimal": "1",
"to": "USDC",
"toAmountMinimal": "1000000"
},
"shopifyPaymentDetails": null,
"submitGeolocation": "GB",
"currency": {
"id": "6340313846e4f91b8abc519b",
"name": "USD Coin",
"decimals": 6,
"order": 1,
"mintAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"coinMarketCapId": 3408,
"symbol": "USDC",
"symbolPrefix": "$",
"type": "DIGITAL",
"iconUrl": "USDC.svg",
"features": [
"PAYMENT_PRICING",
"PAYMENT_RECIPIENT",
"SWAP"
]
}
},
"paymentRequestCreatorId": "667c1f9352919e407156128a",
"paymentRequestName": "Testing affiliates off",
"paymentRequestCurrencySymbol": "USDC",
"paymentRequestBlockchain": "SOL",
"refunds": []
}
]Retrieve the details of a transaction using its blockchain signature.
curl --request GET \
--url https://api.hel.io/v1/transactions/signature/{signature} \
--header 'Authorization: Bearer <token>'[
{
"id": "67acdb5ee316ca7a58b7e7dc",
"paylinkId": "67acdb17e316ca7a58b7e586",
"fee": "10000",
"quantity": 1,
"createdAt": "2025-02-12T17:33:18.544Z",
"paymentType": "PAYLINK",
"paylink": {
"id": "67acdb17e316ca7a58b7e586",
"platform": "HELIO",
"description": "",
"template": "OTHER",
"disabled": false,
"inactive": false,
"notifySenderByEmail": false,
"notifyReceiverByEmail": false,
"addDiscordRole": false,
"addTelegramGroup": false,
"features": {
"canChangeQuantity": false,
"canChangePrice": false,
"requireQuantityLimits": false,
"requireCountry": false,
"requireEmail": false,
"requireDeliveryAddress": false,
"requireDiscordUsername": false,
"requireDiscordLogin": false,
"requireFullName": false,
"requirePhoneNumber": false,
"requireTwitterUsername": false,
"requireTelegramUsername": false,
"requireProductDetails": false,
"requireMaxTransactions": false,
"requireNftGate": false,
"requireDiscordAuth": false,
"requireAccessCode": false,
"requireXFollow": false,
"requireRaffle": false,
"splitRevenue": false,
"splitEqually": true,
"canSwapTokens": false,
"canPayWithCard": true,
"nftDropEnabled": false,
"showDiscountCode": false,
"isEscrowed": false,
"requireAllowlist": false,
"allowAffiliate": false,
"isEventEnabled": false,
"enableCountdown": false,
"requireCaptchaValidation": false,
"shouldRedirectOnSuccess": false,
"customThemeEnabled": false,
"isSubscription": false,
"hasRedirectQueryParams": false
},
"maxTransactions": 1,
"name": "Test Pay Link",
"nftCollectionAddress": "",
"discordAuthDetails": [],
"dynamic": false,
"affiliateDetails": {
"bps": 5000
},
"price": "1000000",
"normalizedPrice": "1000000",
"redirectUrl": "",
"redirectQueryParams": [],
"customTheme": {
"primaryColor": "#F76C1B",
"neutralColor": "#5A6578",
"themeMode": "LIGHT",
"textColorOnButton": "BLACK",
"backgroundColor": "#F9F9F9"
},
"content": {},
"creator": {
"id": "667c1f9352919e407156128a",
"userType": "MERCHANT",
"email": "merchant@test.com",
"name": "",
"isDisabled": false,
"kycVerified": false,
"platformDetails": {
"platform": "HELIO"
}
},
"company": {
"id": "667c1f9352919e407156128c",
"name": "Test Company",
"email": "company@test.com",
"websiteUrl": "",
"discordUsername": "",
"address": "",
"phoneNumber": "",
"escrowFunds": false,
"twitterConfirmed": false,
"kycVerified": false,
"kybVerified": false
},
"currency": {
"id": "6340313846e4f91b8abc519b",
"blockchain": null
},
"wallet": {
"id": "667c1f9352919e4071561294",
"name": "",
"btcProperties": null
},
"recipients": [
{
"currency": {
"id": "6340313846e4f91b8abc519b",
"blockchain": null
},
"wallet": {
"id": "667c1f9352919e4071561294",
"name": "",
"btcProperties": null,
"blockchainEngine": null
}
}
],
"volume": 0,
"sales": "0",
"product": null,
"discountCodes": [],
"discordRoleIds": [],
"telegramGroupIds": [],
"pricingCurrency": {
"id": "6340313846e4f91b8abc519b",
"name": "USD Coin",
"decimals": 6,
"order": 1,
"mintAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"coinMarketCapId": 3408,
"symbol": "USDC",
"symbolPrefix": "$",
"type": "DIGITAL",
"iconUrl": "USDC.svg",
"features": [
"PAYMENT_PRICING",
"PAYMENT_RECIPIENT",
"SWAP"
],
"blockchain": {
"id": "6340313846e4f91b8abc515c",
"engine": null
}
},
"createdAt": "2025-02-12T17:32:07.125Z"
},
"meta": {
"id": "67acdb5ee316ca7a58b7e7da",
"amount": "990000",
"senderPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"recipientPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"transactionType": "PAYLINK",
"customerDetails": {},
"productDetails": null,
"additionalProductDetails": [],
"transactionSignature": "3afE9Xnta9YpF4HLqT9i55Dh9byewgRmFsexgeGaP9NaTNvrJ5CZJij3onAMZXUUStPxEwi4Ce3pc6JeMMhNDKFj",
"transactionStatus": "SUCCESS",
"splitRevenue": false,
"remainingAccounts": [],
"totalAmount": "990000",
"totalAmountAsUSD": "990000",
"affiliateCode": "jwplgfvsvk",
"affiliateAmount": "0",
"affiliatePublicKey": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"tokenQuote": {
"from": "USDC",
"fromAmountDecimal": "1",
"to": "USDC",
"toAmountMinimal": "1000000"
},
"shopifyPaymentDetails": null,
"submitGeolocation": "GB",
"currency": {
"id": "6340313846e4f91b8abc519b",
"name": "USD Coin",
"decimals": 6,
"order": 1,
"mintAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"coinMarketCapId": 3408,
"symbol": "USDC",
"symbolPrefix": "$",
"type": "DIGITAL",
"iconUrl": "USDC.svg",
"features": [
"PAYMENT_PRICING",
"PAYMENT_RECIPIENT",
"SWAP"
]
}
},
"paymentRequestCreatorId": "667c1f9352919e407156128a",
"paymentRequestName": "Testing affiliates off",
"paymentRequestCurrencySymbol": "USDC",
"paymentRequestBlockchain": "SOL",
"refunds": []
}
]api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authentication using JWT token
The unique transaction signature used to look up a specific blockchain transaction.
Your API key can be generated on the Helio Dashboard’s settings page.
Successful response